#include <bits/stdc++.h>
using namespace std;

int p[20001];

int main() {
    ios::sync_with_stdio(false); cin.tie(0); cout.tie(0);
    int N, K;
    cin>>N>>K;
    for(int i=0; i<N; i++) {
        cin>>p[i];
    }
    p[N]=p[0];
    for(int i=0; i<N; i++) {
        if(p[i]==K) {
            cout<<p[i+1];
            break;
        }
    }
    return 0;
}